#!/bin/bash

# Custom script by EdR to move/reorg items 

# Disable arcade mra's
cd /media/fat/_Arcade/
mkdir -p ./disabled/_default/                                       2>/dev/null
mv -f *.mra          ./disabled/_default/                           2>/dev/null
mv -f _alternatives  ./disabled/                                    2>/dev/null

# Disable console rbf's
cd /media/fat/_Console
mkdir ./disabled                                                    2>/dev/null
find ./ -maxdepth 1 -type f \(   \
  -name "Arcadia*.rbf"        -o \
  -name "Astrocade_*.rbf"     -o \
  -name "Atari2600_*.rbf"     -o \
  -name "Atari5200_*.rbf"     -o \
  -name "Atari7800_*.rbf"     -o \
  -name "AtariLynx_*.rbf"     -o \
  -name "AY-3-8500_*.rbf"     -o \
  -name "ChannelF_*.rbf"      -o \
  -name "ColecoVision_*.rbf"  -o \
  -name "Gameboy2P_*.rbf"     -o \
  -name "GBA2P_*.rbf"         -o \
  -name "Intellivision_*.rbf" -o \
  -name "Odyssey2_*.rbf"      -o \
  -name "VC4000_*.rbf"        -o \
  -name "Vectrex_*.rbf"       -o \
  -name "WonderSwan_*.rbf"       \
  \) -exec mv -f {} ./disabled/  \;

# Rename console rbf's
cd /media/fat/_Console
rename  'Gameboy_'       'GameBoy 1_'    'Gameboy_'*.rbf            2>/dev/null
rename  'GBA_'           'GameBoy Adv_'  'GBA_'*.rbf                2>/dev/null
rename  'Genesis_'       'Genesis 1_'    'Genesis_'*.rbf            2>/dev/null
rename  'MegaCD_'        'Genesis CD_'   'MegaCD_'*.rbf             2>/dev/null
rename  'NeoGeo_'        'Neo Geo Mvs_'  'NeoGeo_'*.rbf             2>/dev/null
rename  'NES_'           'NES Famicom_'  'NES_'*.rbf                2>/dev/null
rename  'PSX_'           'PlayStation_'  'PSX_'*.rbf                2>/dev/null
rename  'SMS_'           'Master Sys_'   'SMS_'*.rbf                2>/dev/null
rename  'SNES_'          'Super NES_'    'SNES_'*.rbf               2>/dev/null
rename  'TurboGrafx16_'  'TurboGrafx_'   'TurboGrafx16_'*.rbf       2>/dev/null

# Rename other rbf's
cd /media/fat/_Other
rename  'FlappyBird'     'Flappy'        'FlappyBird_'*.rbf         2>/dev/null
rename  'EpochGalaxyII'  'Galaxy'        'EpochGalaxyII_'*.rbf      2>/dev/null
rename  'GameOfLife'     'Life'          'GameOfLife_'*.rbf         2>/dev/null
rename  'TomyScramble'   'Scramble'      'TomyScramble_'*.rbf       2>/dev/null

# Reorg utilities
cd /media/fat/_Utility
rename 'InputTest'       'InpTest'       'InputTest_'*.rbf          2>/dev/null

# Reorg palettes
mkdir -p /media/fat/Palettes                                        2>/dev/null
cd /media/fat/Palettes
mv -f /media/fat/games/GAMEBOY/Palettes   ./GAMEBOY                 2>/dev/null
mv -f /media/fat/games/GAMEBOY2P/Palettes ./GAMEBOY2P               2>/dev/null
mv -f /media/fat/games/NES/Palettes       ./NES                     2>/dev/null

# Relabel NeoGeo game titles
rom='/media/fat/games/NeoGeo/romsets.xml'
cmd='perl -p -i -e'
$cmd 's/altname="Art of Fighting"/altname="Art of Fighting 1"/g'                          $rom
$cmd 's/altname="Art of Fighting 2 .*?"/altname="Art of Fighting 2"/g'                    $rom
$cmd 's/altname="Art of Fighting 3:.*?"/altname="Art of Fighting 3"/g'                    $rom
$cmd 's/altname="Baseball Stars Professional.*?"/altname="Baseball Stars 1"/g'            $rom
$cmd 's/altname="Crossed Swords"/altname="Crossed Swords 1"/g'                            $rom
$cmd 's/altname="Crossed Swords 2 .*?"/altname="Crossed Swords 2"/g'                      $rom
$cmd 's/altname="Fatal Fury 3:.*?"/altname="Fatal Fury 3"/g'                              $rom
$cmd 's/altname="Fatal Fury: King of Fighters.*?"/altname="Fatal Fury KF"/g'              $rom
$cmd 's/altname="Fatal Fury Special.*?"/altname="Fatal Fury SP"/g'                        $rom
$cmd 's/altname="Garou: Mark of the Wolves( \(.*?\))?"/altname="Garou Mark of Wolves"/g'  $rom
$cmd 's/altname="King of Fighters \x279([0-9]).*?"/altname="King of Fighters 9${1}"/g'    $rom
$cmd 's/altname="Last Blade,.*?"/altname="Last Blade 1"/g'                                $rom
$cmd 's/altname="Last Blade 2,.*?"/altname="Last Blade 2"/g'                              $rom
$cmd 's/altname="Metal Slug: Super Vehicle-001"/altname="Metal Slug 1"/g'                 $rom
$cmd 's/altname="Metal Slug 2[ :].*?"/altname="Metal Slug 2"/g'                           $rom
$cmd 's/altname="Metal Slug 4 .*?"/altname="Metal Slug 4"/g'                              $rom
$cmd 's/altname="Metal Slug X: .*?"/altname="Metal Slug X"/g'                             $rom
$cmd 's/altname="NAM-1975"/altname="Vietnam 1975"/g'                                      $rom
$cmd 's/altname="Neo Drift Out: New Technology"/altname="Neo Drift Out"/g'                $rom
$cmd 's/altname="Puzzle Bobble( \(.*?\))?"/altname="Puzzle Bobble 1"/g'                   $rom
$cmd 's/altname="Real Bout Fatal Fury( \(.*?\))?"/altname="Fatal Fury RB 1"/g'            $rom
$cmd 's/altname="Real Bout Fatal Fury 2:.*?"/altname="Fatal Fury RB 2"/g'                 $rom
$cmd 's/altname="Real Bout Fatal Fury Special.*?"/altname="Fatal Fury RB SP"/g'           $rom
$cmd 's/altname="Samurai Shodown( \(.*?\))?"/altname="Samurai Shodown 1"/g'               $rom
$cmd 's/altname="Samurai Shodown II( \(.*?\))?"/altname="Samurai Shodown 2"/g'            $rom
$cmd 's/altname="Samurai Shodown III( \(.*?\))?"/altname="Samurai Shodown 3"/g'           $rom
$cmd 's/altname="Samurai Shodown IV.*?"/altname="Samurai Shodown 4"/g'                    $rom
$cmd 's/altname="Samurai Shodown V( \(.*?\))?"/altname="Samurai Shodown 5"/g'             $rom
$cmd 's/altname="Samurai Shodown V Perfect.*?"/altname="Samurai Shodown 5 PF"/g'          $rom
$cmd 's/altname="Samurai Shodown V Special.*?"/altname="Samurai Shodown 5 SP"/g'          $rom
$cmd 's/altname="Sengoku( \(.*?\))?"/altname="Sengoku 1"/g'                               $rom
$cmd 's/altname="Shock Troopers"/altname="Shock Troopers 1"/g'                            $rom
$cmd 's/altname="Shock Troopers: 2.*?"/altname="Shock Troopers 2"/g'                      $rom
$cmd 's/altname="SNK vs. Capcom Plus \(.*?\)"/altname="SNK vs. Capcom Plus"/g'            $rom
$cmd 's/altname="SNK vs. Capcom: SVC Chaos"/altname="SNK vs. Capcom Chaos"/g'             $rom
$cmd 's/altname="Super Sidekicks( \(.*?\))?"/altname="Super Sidekicks 1"/g'               $rom
$cmd 's/altname="Super Sidekicks 2:.*?"/altname="Super Sidekicks 2"/g'                    $rom
$cmd 's/altname="Super Sidekicks 3:.*?"/altname="Super Sidekicks 3"/g'                    $rom
$cmd 's/altname="Top Hunter:.*?"/altname="Top Hunter"/g'                                  $rom
$cmd 's/altname="Twinkle Star Sprites"/altname="Twinkle Star"/g'                          $rom
$cmd 's/altname="Ultimate 11,.*?"/altname="Ultimate 11 Football"/g'                       $rom
